﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Documents.Word;

namespace WordDocumentMergeCells
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            Loaded += MainWindow_Loaded;
        }

        void MainWindow_Loaded(object sender, RoutedEventArgs e)
        {
            WordDocumentWriter docWriter = WordDocumentWriter.Create(@"TestWordDoc.docx");
            docWriter.StartDocument();

            TableProperties tableProps = docWriter.CreateTableProperties();
            tableProps.Alignment = ParagraphAlignment.Center;

            TableRowProperties headerRowProps = docWriter.CreateTableRowProperties();
            headerRowProps.IsHeaderRow = true;

            TableCellProperties headerCellProps = docWriter.CreateTableCellProperties();
            headerCellProps.ColumnSpan = 9;
            headerCellProps.TextDirection = TableCellTextDirection.LeftToRightTopToBottom;

            TableRowProperties normalRowProps = docWriter.CreateTableRowProperties();

            TableCellProperties normalCellProps = docWriter.CreateTableCellProperties();

            docWriter.StartTable(10, tableProps);
            {
                // Header Row
                docWriter.StartTableRow(headerRowProps);
                docWriter.StartTableCell(headerCellProps);
                docWriter.StartParagraph();
                docWriter.AddTextRun("SUMMARY OF SPENDING FOR PROJECT STAGES *Costs in thousands");
                docWriter.EndParagraph();
                docWriter.EndTableCell();

                docWriter.StartTableCell(normalCellProps);
                docWriter.StartParagraph();
                docWriter.AddTextRun("");
                docWriter.EndParagraph();
                docWriter.EndTableCell();
                docWriter.EndTableRow();

                for (int i = 0; i < 30; i++)
                {
                    docWriter.StartTableRow(normalRowProps);

                    for (int j = 0; j < 10; j++)
                    {
                        docWriter.StartTableCell(normalCellProps);
                        docWriter.StartParagraph();
                        docWriter.AddTextRun("");
                        docWriter.EndParagraph();
                        docWriter.EndTableCell();
                    }

                    docWriter.EndTableRow();
                }
            }
            docWriter.EndTable();

            docWriter.EndDocument();
            // Close the WordDocumentWriter instance.
            docWriter.Close();
        }
    }
}
